Criar/atualizar motoristas

Cria um novo motorista ou atualiza um existente na conta. O `document_number` é o identificador único; se já existir, os campos enviados sobrescrevem os atuais.

No guia

Gestão de motoristas: Motoristas (Frota Própria).

POST
/v1/drivers

Authorization

sellerGroupKey
x-abbiamo-seller-group-key<token>

In: header

Header Parameters

x-abbiamo-seller-group-key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/drivers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "document_number": "string",    "phone": "string",    "seller_identifiers": "string"  }'
{
  "id": "b3d2f1a0-4c5e-4f6d-8e9b-1a2b3c4d5e6f",
  "name": "João Silva Santos",
  "document_number": "12345678901",
  "phone": "5511999999999",
  "seller_identifiers": [
    "seller-sp-01",
    "seller-sp-02"
  ],
  "created_at": "2026-03-19T10:00:00.000Z",
  "password": "senha123"
}

{
  "code": "SELLER_NOT_FOUND",
  "message": "seller_identifiers is required when creating a new driver"
}